Package org.eclipse.emf.cdo.server

## Class CDOServerBrowser.RevisionsPage

- java.lang.Object
- - org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage
  - - org.eclipse.emf.cdo.server.CDOServerBrowser.RevisionsPage

- All Implemented Interfaces:
    `CDOServerBrowser.Page`
  Direct Known Subclasses:
    `CDOServerBrowser.RevisionsPage.FromCache`, `CDOServerBrowser.RevisionsPage.FromStore`
  Enclosing class:
    CDOServerBrowser

      public abstract static class CDOServerBrowser.RevisionsPage
      extends CDOServerBrowser.AbstractPage

  A `server browser page` that renders `revisions`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CDOServerBrowser.RevisionsPage.FromCache` | A `server browser page` that renders the `revisions` in a revision cache.
    `static class` | `CDOServerBrowser.RevisionsPage.FromStore` | A `server browser page` that renders the `revisions` in a `store`.

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.CDOServerBrowser.Page

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RevisionsPage​(java.lang.String name, java.lang.String label)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `display​(CDOServerBrowser browser, InternalRepository repository, java.io.PrintStream out)` |
    `protected abstract java.util.Map<CDOBranch,​java.util.List<CDORevision>>` | `getAllRevisions​(InternalRepository repository)` |
    `protected java.lang.String` | `getCDOIDLabel​(CDORevision revision)` |
    `protected java.lang.Object` | `getRevisionValue​(java.lang.Object value, CDOServerBrowser browser, java.util.Map<CDOID,​java.util.List<CDORevision>> ids, InternalCDORevision context)` |
    `protected void` | `showKeyValue​(java.io.PrintStream pout, boolean bg, java.lang.String key, java.lang.Object value)` |
    `protected void` | `showRevision​(java.io.PrintStream pout, CDOServerBrowser browser, java.util.Map<CDOBranch,​java.util.List<CDORevision>> allRevisions, java.util.Map<CDOID,​java.util.List<CDORevision>> ids, java.lang.String key, InternalRepository repository)` |
    `protected void` | `showRevision​(java.io.PrintStream pout, CDOServerBrowser browser, java.util.Map<CDOID,​java.util.List<CDORevision>> ids, InternalCDORevision revision)` |

    - ### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage

      `getLabel, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.CDOServerBrowser.Page

      `canDisplay`

- - ### Constructor Detail

    - #### RevisionsPage

          public RevisionsPage​(java.lang.String name,
                               java.lang.String label)

  - ### Method Detail

    - #### display

          public void display​(CDOServerBrowser browser,
                              InternalRepository repository,
                              java.io.PrintStream out)

    - #### showRevision

          protected void showRevision​(java.io.PrintStream pout,
                                      CDOServerBrowser browser,
                                      java.util.Map<CDOBranch,​java.util.List<CDORevision>> allRevisions,
                                      java.util.Map<CDOID,​java.util.List<CDORevision>> ids,
                                      java.lang.String key,
                                      InternalRepository repository)

      Since:
        4.0

    - #### showRevision

          protected void showRevision​(java.io.PrintStream pout,
                                      CDOServerBrowser browser,
                                      java.util.Map<CDOID,​java.util.List<CDORevision>> ids,
                                      InternalCDORevision revision)

      Since:
        4.0

    - #### getRevisionValue

          protected java.lang.Object getRevisionValue​(java.lang.Object value,
                                                      CDOServerBrowser browser,
                                                      java.util.Map<CDOID,​java.util.List<CDORevision>> ids,
                                                      InternalCDORevision context)

      Since:
        4.0

    - #### showKeyValue

          protected void showKeyValue​(java.io.PrintStream pout,
                                      boolean bg,
                                      java.lang.String key,
                                      java.lang.Object value)

      Since:
        4.0

    - #### getAllRevisions

          protected abstract java.util.Map<CDOBranch,​java.util.List<CDORevision>> getAllRevisions​(InternalRepository repository)

    - #### getCDOIDLabel

          protected java.lang.String getCDOIDLabel​(CDORevision revision)